[Fait] Compatibilité des mods

Cette section est là pour permettre de soumettre une idée que vous avez pour améliorer la confrérie et discuter autour.
Avatar du membre
aurel79000
Traducteur chevronné
Traducteur chevronné
Messages : 508

Compatibilité des mods

Message par aurel79000 »

Bonjour / Bonsoir.

Petite séance de pinaillage par Aurel :

J'ai remarqué que les compatibilités ne sont pas toujours indiquées (en même temps on les a pas toujours), sur les pages de téléchargement des mods.

Cependant, certains mods sont volumineux et certains utilisateurs du site peuvent avoir une connexion moisie ou limitée (du genre de la 4G que j'utilise en ce moment). C'est pourquoi j'ai eu une petite idée :

Pourquoi pas référencer, dans un équivalent d'une balise spoiler pour l'ergonomie, les compatibilités et incompatibilités connues d'un mod, directement sur la page de téléchargement ?


Alors je sais, ça fait doublon avec le Readme, mais le gars qui a une connexion pas géniale ou limitée, il sait tout de suite si ce mod est compatible avec ce qu'il possède déjà et donc si ça vaut le coup de le télécharger.

J'irais même plus loin, en sensibilisant au maximum les utilisateurs du site et du forum pour qu'ils fassent remonter toute nouvelle incompatibilité repérée.


Je sais, ça fait de la redondance, mais c'est pour le User-Friendly. (Ami Uploaders, vous pourrez me détester si ça passe :) )



PS :
J'ai bien remarqué que c'est indiqué pour quelques mods, mais pour d'autres qui ont des incompatibilités. Il y a rien.

PPS : Une traduction de la section concernée de la page Nexus du mod pourrait amplement suffire.
"La guerre ne meurt jamais et nous met des flèches dans le genou."


Projets en cours : Outcast & Remnants, Project Valkyrie. Vegas Gate

Traducteur : Fallout 4 & Skyrim SE
Pour support trad : Discord.

Avatar du membre
noone
Moddeur aspirant
Moddeur aspirant
Messages : 924

Re: Compatibilité des mods

Message par noone »

c'est mon plan mais pas comme ça ^^
en fait je fabrique un truc actuellement en rapport avec ça en php que je mettrai là http://noonelabs.free.fr
j'essai de faire une liste de mod collaborative on importe sa liste via un csv et on la partage via un code ou publiquement pour édition à plusieurs.
Les mods sont triable en drag en drop et à plusieurs parcontre un seul utilisateur à la fois peu bougé un mod donné (c'est verrouillé le temps du déplacement chez les autres)
et indiqué les mod compatible sans patch ,compatible avec patch ou non compatible en fait partie
j'aimerais aussi ajouter les mods similaires, les mods complémentaires ,les mods conseillé par ceux qui aime ce mod si il a été traduit et quand et +
le top mais pas prévu serait une page wiki editable par tous pour des annotations ,valeurs inis conseillé prérequis faq etc..

n'importe qui pourra tagguer un mod, Pour autant vu qu'y a des boulets qui affirment sans savoir on ne pourra pas s'y fier à 100%.
je cherche une idée pour parer ça d'ailleurs ...un système de vote peut être...
Image

kenzo
Confrère
Messages : 146

Re: Compatibilité des mods

Message par kenzo »

Oui j'ai vu ca aussi^^ jai vu plein de mods incompatibles. Par exemple chateau de pierreciel et chateau valdmire qui se trouvent exactement au même endroit. Et pourtant c'est pas signalé la : https://www.confrerie-des-traducteurs.f ... pierreciel
Du coup avant de télécharger les mods, il faut juste regarder sur le topic saml du mod c'est en général ce que je fais mais bon il y a plein d'incompatibilités qui ont jamais été déclarés ou de problèmes signalés. Après faut voir combien de personnes ont le bug, pour voir si c'est une question de loot, de nettoyages d esm...
Mais j'avoue que rajouter une ou deux lignes sur les mods serait bien. Ca m'aurait éviter de télécharger une dizaine de mods pour rien^^.Je sais pas combien de temps ca prends ni si c'est compliqué de modifier(nombre de critères max ou autres)

wbf
Traducteur aspirant
Traducteur aspirant
Messages : 218

Re: Compatibilité des mods

Message par wbf »

kenzo a écrit :
08 juin 2020, 15:03
Oui j'ai vu ca aussi^^ jai vu plein de mods incompatibles. Par exemple chateau de pierreciel et chateau valdmire qui se trouvent exactement au même endroit. Et pourtant c'est pas signalé la : https://www.confrerie-des-traducteurs.f ... pierreciel
Bonjour Kenzo

Je me posais la question au tout début de ma rafle de mods sur la confrérie... en fait, je confondais création de mod et traduction+ test de mod.

Désormais, je déroule plusieurs pages (les plus récentes) sur Nexus, là où les utilisateurs témoignent à propos du mod qu'ils utilisent, notamment les bugs qu'ils subissent.

Parfois, on a aussi quelques avis sur certains mods de la confrérie quand quelqu'un se donne la peine de témoigner (ce qui a rarement été mon cas, par exemple).

Tout cela pour dire que je partage ta volonté d'avoir plus d'éléments de compatibilité, fiabilité, jouabilité, etc. Et que je pense que c'est notre rôle d'utilisateur de ce très bon site de la confrérie (suffisamment en tous cas pour que je ne craigne pas de passer un peu de pommade au passage) de l'enrichir de nos expériences.

Peut-être, vas-tu déclencher un élan dans ce sens. Moi, depuis un moment je pense à le faire (pas seulement les incompatibilités ou bugs, mais aussi les points d'intérêts)... il faudrait que j'arrête d'y penser pour m'y mettre, mais j'avoue être un ramier :)

Amicalement,
David

Avatar du membre
Bran ar Kamalar
Moddeur en herbe
Moddeur en herbe
Messages : 1913

Re: Compatibilité des mods

Message par Bran ar Kamalar »

Les incompatibilités entre mods ne sont pas forcément connues, et comme la majorité des mods présent ici sont des traductions (contrairement à ceux sur Morrowind qui sont surtout des créations mais sans maj et suivit pour la majorité), c'est indiqué en général sur la page d'origine du mod sur Nexus. Ce n'est pas pour rien qu'il y a toujours le lien vers la page originale que je ne manque jamais d'aller consulter ainsi que les rapports de bugs. Sur Wiwiland comme c'était surtout un groupe de moddeurs, pour Morrowind il avait été mis en place la "wiwinormae" qui permettait aux auteurs de ne pas se marcher sur les pieds et de réserver une cellule pour leur mod, ainsi qu'un préfixe à ajouter aux objets rajoutés. Ici ce n'est simplement pas possible car nous ne sommes pas une communauté de moddeurs, mais de traducteurs, on a souvent de la peine à obtenir une autorisation de traduction, on ne peut pas imposer en plus aux auteurs une forme précise à donner à leur mod. Tout le monde n'est pas forcément traducteur, mais les moddeurs sont quand même en minorité.
Pour Fo4 je ne sais pas si c'est important sur les autres jeux, il faudrait des informations que ne donnent pas forcément les auteurs, si les menus ajoutés sont scriptés ou non car c'est très important dans l'ordre de chargement. Normalement le traducteur ou le testeur doit le savoir.
En général quand il y a une demande d'aide sur le forum, que se soit dans la partie SAML ou dans les sujets plus généraux du jeu on demande toujours la liste des mod et si MO2 (ou autre gestionnaire), LOOT et Wyre Bash sont utilisés, en fait cela devrait être automatique à la demande. Cela permet à ceux qui connaissent bien le jeu de mentionner les incompatibilités ou les soucis d'installation.
Franchement passer sur un site tiers pour donner ma liste de mod, et pour contrôler les incompatibilités, je sais que je ne le ferai pas. Il y a déjà passablement de liste de mod ici dans la partie aide. prochainement je vais y ajouter la mienne concernant les mods de colonie pour Fo4 que je suis toujours en train de tester. Et je prépare aussi un sujet pour expliquer le principe de l'ordre de chargement pour Fo4 car c'est plus complexe que pour skyrim à cause des colonies justement.
Image

"Je ne crois pas à l'astrologie. Je suis sagittaire et comme tous les sagittaires,
c'est dans ma nature d'être septique."
Arthur C. Clark

Avatar du membre
A .
Administrateur | Traducteur aguerri | Moddeur en herbe
Administrateur | Traducteur aguerri | Moddeur en herbe
Messages : 5490

Re: Compatibilité des mods

Message par A . »

Bonjour par ici !
Du coup on y est, c'est lancé ! C'était quelque chose qui était planifié dans la nouvelle mouture du site comme avec d'autres choses remontées par la communauté, et dans l'optique de faciliter le modding pour tout le monde.

Côté uploads nous pouvons désormais remplir un champs « Compatibilité ». Alors bien sûr, vous comprendrez qu'étant une poignée (et je suis de loin celui qui en fait le moins), on ne va pas tout remplir toutes les pages des mods d'un coup et chercher avec ceux pas encore traduits (des centaines de milliers tous jeux confondus), mais on essaiera d'y penser si on a les infos à portée de mains. Avec les dizaines d'autres trucs auxquels on essaie de penser ^^'

Par « infos à portée de main » j'entends communauté active sur le forum, je pense qu'on a déployé assez d'outils pour cela (le sujets dédiés par mod facilement retrouvables notamment) mais ça vous l'avez déjà compris au vu de vos messages :top: Si des cas sont franchement incompatibles, on pourra également le signaler (c'est généralement déjà fait depuis quelques années dans les descriptions).

Retourner vers « La salle des Doléances »